> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jogg.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List of Webhook Endpoints

> Get a list of configured webhook endpoints



## OpenAPI

````yaml GET /endpoints
openapi: 3.0.1
info:
  title: OpenAPI Render API
  description: A sample API that demonstrates features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.jogg.ai/v1
security:
  - apiKeyAuth: []
tags:
  - name: Create Video from URL
    description: |-



      Product video generation workflow:



        1. First call POST /product to crawl product information



        2. Optionally call PUT /product to modify product details using the product_id from step 1



        3. Finally call POST /create_video_from_url to generate video using the product_id from step 1
  - name: Webhook
    description: Webhook configuration and management
paths:
  /endpoints:
    get:
      tags:
        - Webhook
      summary: List webhook endpoints
      description: Get a list of configured webhook endpoints
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        endpoint_id:
                          type: string
                          description: Unique identifier for the webhook
                        url:
                          type: string
                          description: Webhook URL
                        secret:
                          type: string
                          description: Secret for signature verification
                        status:
                          type: string
                          enum:
                            - enabled
                            - disabled
                          description: Current webhook status
                        events:
                          type: array
                          items:
                            type: string
                          description: List of subscribed events
                        username:
                          type: string
                          description: Username
                        created_at:
                          type: integer
                          description: Creation timestamp
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````